Reply
 
Thread Tools Display Modes
  #1  
Old 04-07-2012, 03:26 AM
Ole Juul Ole Juul is offline
Senior Member
 
Join Date: Jan 2011
Location: Coalmont, BC, Canada
Posts: 284
Thanks: 0
Thanked 0 Times in 0 Posts
Default KDE apps
What is the minimal that I need to install in order to run the basic KDE apps such as Konq and Kate? I've looked at packages and see several likely ones but the pkg-descr is not clear about what is included. Note that I'm talking about apps not the DE.
Reply With Quote
  #2  
Old 04-10-2012, 01:24 AM
Beanpole's Avatar
Beanpole Beanpole is offline
Senior Member
 
Join Date: May 2010
Posts: 2,506
Thanks: 18
Thanked 442 Times in 358 Posts
Default
It looks like Kate has a port of its own [1]. It is listed as requiring kdelibs4, but I did not see any of the other KDE runtime dependencies. That would actually be a good candidate for a PBI if you want to post a request for it....

Konqeror is included in the kde4-baseapps port [2]. This one requires a lot more dependancies (such as editors/kate), but I think we have a PBI in the works for it anyway.

Both of these two programs should be included in the main KDE system package (I.E. just the base package, the optional KDE sub-packages are not needed)

[1] http://www.freshports.org/editors/kate/
[2] http://www.freshports.org/x11/kde4-baseapps/
__________________
~ Ken Moore ~
PC-BSD/iXsystems
Reply With Quote
  #3  
Old 04-10-2012, 01:36 AM
Ole Juul Ole Juul is offline
Senior Member
 
Join Date: Jan 2011
Location: Coalmont, BC, Canada
Posts: 284
Thanks: 0
Thanked 0 Times in 0 Posts
Default
Thanks Ken. I'll keep that in mind.

In the meanwhile I had intended to install the kde4-baseapps port (as you suggest) but made a little error and learnt quite a few things about PC-BSD. I accidentally did this:
Code:
# portmanager -u
Everything runs now, but I will have to do more work to keep it going that way because using upgrade manager now breaks it. I am now doing my homework and getting a grip on the differences in management of ports packages and pbi's. I was making some incorrect assumptions before.
Reply With Quote
Reply

Thread Tools
Display Modes

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is On
HTML code is Off

Forum Jump


All times are GMT. The time now is 09:08 AM.


Powered by vBulletin® Version 3.8.5
Copyright ©2000 - 2014, Jelsoft Enterprises Ltd.

Copyright 2005-2010, The PC-BSD Project. PC-BSD and the PC-BSD logo are registered trademarks of iXsystems.
All other content is freely available for sharing under the terms of the Creative Commons Attribution License.